#
# spec file for package python3-pysvn
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pysvn
Version:        1.8.0
Release:        3.4
Summary:        Highlevel Subversion Python 3 Bindings
License:        Apache-1.1
Group:          Development/Libraries/Python
Url:            http://pysvn.tigris.org
Source0:        http://pysvn.barrys-emacs.org/source_kits/pysvn-%{version}.tar.gz
Patch0:         bnc445431_pysvn_svnenv.cpp.diff
BuildRequires:  gcc-c++
BuildRequires:  libcom_err-devel
BuildRequires:  libexpat-devel
BuildRequires:  neon-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-xml
BuildRequires:  subversion-devel
BuildRequires:  pkgconfig(apr-1)
Requires:       neon
Requires:       subversion
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pysvn is a highlevel and easy to use Python bindings to Subversion. The pysvn
project's goal is to enable Tools to be written in Python that use Subversion.
Windows, Mac OS X, Linux and other unix platforms are supported.

Features:
 * Supports all svn client features
 * Supports svn transaction features required to write svn pre-commit
   hooks
 * Easy to learn and use
 * Python like interface
 * Good Documentation and examples
 * No need to understand the Subversion C API

%prep
%setup -q -n pysvn-%{version}
%patch0
# patch in rpm compiler flags
sed -i 's/CCFLAGS=-Wall/CCFLAGS=$(RPM_OPT_FLAGS) -Wall -Wno-deprecated/g' Source/setup_configure.py

%build
cd Source
python3 setup.py backport
python3 setup.py configure
# --norpath
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{python3_sitearch}/pysvn
cp Source/pysvn/{__init__.py,_pysvn*.so} %{buildroot}/%{python3_sitearch}/pysvn
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -f Docs/generate_cpp_docs_from_html_docs.py

#%%check
#cd Tests
#make %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc LICENSE.txt Docs Examples
%{python3_sitearch}/*

%changelog
* Fri Sep 18 2015 astieger@suse.com
- update to 1.8.0:
  * Support python3 sorting of list of PysvnDict objects that name
    a known "key".
  * Support Subversion 1.9.1.
  * Support Python 3.5
  * Fix issue: is_versioned is always 0
  * Fix issue: svn_client_root_url_from_path() would crash if login
    callback was called.
* Mon Sep  7 2015 p.drouand@gmail.com
- Update to version 1.7.10
  * No changelog available
- Remove bnc780243_fix_build_script.diff; fixed on upstream release
- Remove useless dependencies
  * python3
  * python3-2to3
- Use python3-setuptools instead of python3-distribute
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Thu Nov 22 2012 robert.munteanu@gmail.com
- Added patch for bnc#780243, cherry-picked from upstream r1742
* Mon Apr 30 2012 cfarrell@suse.com
- license update: Apache-1.1
  See LICENSE.txt (most of the package is in fact BSD-3-Clause licensed"
* Fri Apr 27 2012 toddrme2178@gmail.com
- Fix building python 3 package on openSUSE 11.4
* Thu Apr 26 2012 toddrme2178@gmail.com
- Add python 3 package
